org.apache.jmeter.protocol.http.control

## Class DelegatingSPNegoScheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.GGSSchemeBase
    - - org.apache.http.impl.auth.SPNegoScheme
      - - org.apache.jmeter.protocol.http.control.DelegatingSPNegoScheme

- All Implemented Interfaces:
    org.apache.http.auth.AuthScheme, org.apache.http.auth.ContextAwareAuthScheme

      public class DelegatingSPNegoScheme
      extends org.apache.http.impl.auth.SPNegoScheme

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingSPNegoScheme(boolean stripPort, boolean useCanonicalHostName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `generateGSSToken(byte[] input, Oid oid, String authServer, org.apache.http.auth.Credentials credentials)`

    - ### Methods inherited from class org.apache.http.impl.auth.SPNegoScheme

      `authenticate, generateToken, generateToken, getParameter, getRealm, getSchemeName, isConnectionBased`

    - ### Methods inherited from class org.apache.http.impl.auth.GGSSchemeBase

      `authenticate, generateGSSToken, getManager, isComplete, parseChallenge`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingSPNegoScheme

          public DelegatingSPNegoScheme(boolean stripPort,
                                        boolean useCanonicalHostName)

  - ### Method Detail

    - #### generateGSSToken

          protected byte[] generateGSSToken(byte[] input,
                                            Oid oid,
                                            String authServer,
                                            org.apache.http.auth.Credentials credentials)
                                     throws GSSException

      Overrides:
        `generateGSSToken` in class `org.apache.http.impl.auth.GGSSchemeBase`
      Throws:
        `GSSException`

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.